/*==================================================================
 Program: zz_globals_msurvey.do
 Edited:  January 2019
 Purpose: Creates globals used in analyzing data from Firm B RCT.
===================================================================*/

/*==================================================================
GLOBALS RELATED TO MAIN PATHS
===================================================================*/
global E_Path "../Expt"
global Tmp_E ""


/*==================================================================
CONTROL VARIABLES
===================================================================*/

* Base Controls
global BaseControls "i.daysnotwork1 tenure"

* Geographic controls: omitted category is south.
global GeogDum "west midwest northeast"

* Geographic controls for summary stats. Include all 4 categories.
global GeogDum_SS "$GeogDum south"

* Demographic controls
global B_Demogs "age experience female $GeogDum"

* Controls for Table on Beliefs Predicting Productivity
* Same as base controls, but add week in the study controls. 
global Cont_BPP "$BaseControls i.week"



/*==================================================================
OUTREGGING PATH
===================================================================*/
global OR2 "se dec(3) nocons nonotes label  ctitle(" ") addtext("") tex(frag) slow(50)"
global OR2_mdv_clust "se dec(1) rdec(2) nocons nonotes label  ctitle(" ") addtext("") tex(frag) addstat(Mean dep var, zz, Subjects (clusters), e(N_clust)) slow(20)"
global OR2_mdv_clust_nodec "se nocons nonotes label  ctitle(" ") addtext("") tex(frag) addstat(Mean dep var, zz, Subjects (clusters), e(N_clust)) slow(20)"
global OR2_ctitle_mdv_clust "se dec(3) nocons nonotes label  addtext("") tex(frag) addstat(Mean dep var if ref=0, zz, Subjects (clusters), e(N_clust)) slow(20)"
global OR2_mdv_clust_F "se dec(1) rdec(2) nocons nonotes label  ctitle(" ") addtext("") tex(frag) addstat(Joint sig of two incentive treatments, r(p), Mean dep var, zz, Subjects (clusters), e(N_clust)) slow(20)"
global OR2_nodec "se nocons nonotes label  ctitle(" ") addtext("") tex(frag) slow(20)"


