/*==================================================================
Program: Reshape_OC.do
Edited:  January, 2019
Purpose: Reshapes the panel data to cut down to export to Matlab
===================================================================*/

/*==================================================================
Order of do file: 
- Keep variables of interest.
- Organize data temporally.
==================================================================*/

use "$Tmp/Panel_Cleaned.dta", clear

/*================================================
In the previous version of the file, we were using
the older version of age, which is age at a continuous
point in time.
"AgeYr" is age at a continuous point in time.
"age" is age measured at one point in time.
=================================================*/ 
drop age
by DrvID: egen age = min(AgeYr)


/*================================================
IMPOSE SAMPLE RESTRICTIONS:
"We drop any drivers who are ever seen working at 
non-piece rate trucking jobs at Firm A where they 
are paid based on their activities or on 
salary (e.g., this drops drivers who ever go to work 
themselves as driver trainers at the training schools)."
=================================================*/ 
keep if est_sample==1

keep Subject week earn miles pmiles RaceAfAm RaceHisp GenFemaleVsAll age education numeracyhalf iqhalf patiencehalf quitflag fireflag MergeDate
reshape wide earn miles quitflag fireflag MergeDate pmiles, i(Subject) j(week) 
 
keeporder Subject ///
quitflag1 quitflag2 quitflag3 quitflag4 quitflag5 quitflag6 quitflag7 quitflag8 quitflag9 quitflag10 ///
quitflag11 quitflag12 quitflag13 quitflag14 quitflag15 quitflag16 quitflag17 quitflag18 quitflag19 quitflag20 ///
quitflag21 quitflag22 quitflag23 quitflag24 quitflag25 quitflag26 quitflag27 quitflag28 quitflag29 quitflag30 ///
quitflag31 quitflag32 quitflag33 quitflag34 quitflag35 quitflag36 quitflag37 quitflag38 quitflag39 quitflag40 ///
quitflag41 quitflag42 quitflag43 quitflag44 quitflag45 quitflag46 quitflag47 quitflag48 quitflag49 quitflag50 ///
quitflag51 quitflag52 quitflag53 quitflag54 quitflag55 quitflag56 quitflag57 quitflag58 quitflag59 quitflag60 ///
quitflag61 quitflag62 quitflag63 quitflag64 quitflag65 quitflag66 quitflag67 quitflag68 quitflag69 quitflag70 ///
quitflag71 quitflag72 quitflag73 quitflag74 quitflag75 quitflag76 quitflag77 quitflag78 quitflag79 quitflag80 ///
quitflag81 quitflag82 quitflag83 quitflag84 quitflag85 quitflag86 quitflag87 quitflag88 quitflag89 quitflag90 ///
quitflag91 quitflag92 quitflag93 quitflag94 quitflag95 quitflag96 quitflag97 quitflag98 quitflag99 quitflag100 ///
quitflag101 quitflag102 quitflag103 quitflag104 quitflag105 quitflag106 quitflag107 quitflag108 quitflag109 quitflag110 /// 
fireflag1 fireflag2 fireflag3 fireflag4 fireflag5 fireflag6 fireflag7 fireflag8 fireflag9 fireflag10 ///
fireflag11 fireflag12 fireflag13 fireflag14 fireflag15 fireflag16 fireflag17 fireflag18 fireflag19 fireflag20 ///
fireflag21 fireflag22 fireflag23 fireflag24 fireflag25 fireflag26 fireflag27 fireflag28 fireflag29 fireflag30 ///
fireflag31 fireflag32 fireflag33 fireflag34 fireflag35 fireflag36 fireflag37 fireflag38 fireflag39 fireflag40 ///
fireflag41 fireflag42 fireflag43 fireflag44 fireflag45 fireflag46 fireflag47 fireflag48 fireflag49 fireflag50 ///
fireflag51 fireflag52 fireflag53 fireflag54 fireflag55 fireflag56 fireflag57 fireflag58 fireflag59 fireflag60 ///
fireflag61 fireflag62 fireflag63 fireflag64 fireflag65 fireflag66 fireflag67 fireflag68 fireflag69 fireflag70 ///
fireflag71 fireflag72 fireflag73 fireflag74 fireflag75 fireflag76 fireflag77 fireflag78 fireflag79 fireflag80 ///
fireflag81 fireflag82 fireflag83 fireflag84 fireflag85 fireflag86 fireflag87 fireflag88 fireflag89 fireflag90 ///
fireflag91 fireflag92 fireflag93 fireflag94 fireflag95 fireflag96 fireflag97 fireflag98 fireflag99 fireflag100 ///
fireflag101 fireflag102 fireflag103 fireflag104 fireflag105 fireflag106 fireflag107 fireflag108 fireflag109 fireflag110 /// 
miles1 miles2 miles3 miles4 miles5 miles6 miles7 miles8 miles9 miles10 ///
miles11 miles12 miles13 miles14 miles15 miles16 miles17 miles18 miles19 miles20 ///
miles21 miles22 miles23 miles24 miles25 miles26 miles27 miles28 miles29 miles30 ///
miles31 miles32 miles33 miles34 miles35 miles36 miles37 miles38 miles39 miles40 ///
miles41 miles42 miles43 miles44 miles45 miles46 miles47 miles48 miles49 miles50 ///
miles51 miles52 miles53 miles54 miles55 miles56 miles57 miles58 miles59 miles60 ///
miles61 miles62 miles63 miles64 miles65 miles66 miles67 miles68 miles69 miles70 ///
miles71 miles72 miles73 miles74 miles75 miles76 miles77 miles78 miles79 miles80 ///
miles81 miles82 miles83 miles84 miles85 miles86 miles87 miles88 miles89 miles90 ///
miles91 miles92 miles93 miles94 miles95 miles96 miles97 miles98 miles99 miles100 ///
miles101 miles102 miles103 miles104 miles105 miles106 miles107 miles108 miles109 miles110 ///  
MergeDate1 MergeDate2 MergeDate3 MergeDate4 MergeDate5 MergeDate6 MergeDate7 MergeDate8 MergeDate9 MergeDate10 ///
MergeDate11 MergeDate12 MergeDate13 MergeDate14 MergeDate15 MergeDate16 MergeDate17 MergeDate18 MergeDate19 MergeDate20 ///
MergeDate21 MergeDate22 MergeDate23 MergeDate24 MergeDate25 MergeDate26 MergeDate27 MergeDate28 MergeDate29 MergeDate30 ///
MergeDate31 MergeDate32 MergeDate33 MergeDate34 MergeDate35 MergeDate36 MergeDate37 MergeDate38 MergeDate39 MergeDate40 ///
MergeDate41 MergeDate42 MergeDate43 MergeDate44 MergeDate45 MergeDate46 MergeDate47 MergeDate48 MergeDate49 MergeDate50 ///
MergeDate51 MergeDate52 MergeDate53 MergeDate54 MergeDate55 MergeDate56 MergeDate57 MergeDate58 MergeDate59 MergeDate60 ///
MergeDate61 MergeDate62 MergeDate63 MergeDate64 MergeDate65 MergeDate66 MergeDate67 MergeDate68 MergeDate69 MergeDate70 ///
MergeDate71 MergeDate72 MergeDate73 MergeDate74 MergeDate75 MergeDate76 MergeDate77 MergeDate78 MergeDate79 MergeDate80 ///
MergeDate81 MergeDate82 MergeDate83 MergeDate84 MergeDate85 MergeDate86 MergeDate87 MergeDate88 MergeDate89 MergeDate90 ///
MergeDate91 MergeDate92 MergeDate93 MergeDate94 MergeDate95 MergeDate96 MergeDate97 MergeDate98 MergeDate99 MergeDate100 ///
MergeDate101 MergeDate102 MergeDate103 MergeDate104 MergeDate105 MergeDate106 MergeDate107 MergeDate108 MergeDate109 MergeDate110 /// 
pmiles1 pmiles2 pmiles3 pmiles4 pmiles5 pmiles6 pmiles7 pmiles8 pmiles9 pmiles10 ///
pmiles11 pmiles12 pmiles13 pmiles14 pmiles15 pmiles16 pmiles17 pmiles18 pmiles19 pmiles20 ///
pmiles21 pmiles22 pmiles23 pmiles24 pmiles25 pmiles26 pmiles27 pmiles28 pmiles29 pmiles30 ///
pmiles31 pmiles32 pmiles33 pmiles34 pmiles35 pmiles36 pmiles37 pmiles38 pmiles39 pmiles40 ///
pmiles41 pmiles42 pmiles43 pmiles44 pmiles45 pmiles46 pmiles47 pmiles48 pmiles49 pmiles50 ///
pmiles51 pmiles52 pmiles53 pmiles54 pmiles55 pmiles56 pmiles57 pmiles58 pmiles59 pmiles60 ///
pmiles61 pmiles62 pmiles63 pmiles64 pmiles65 pmiles66 pmiles67 pmiles68 pmiles69 pmiles70 ///
pmiles71 pmiles72 pmiles73 pmiles74 pmiles75 pmiles76 pmiles77 pmiles78 pmiles79 pmiles80 ///
pmiles81 pmiles82 pmiles83 pmiles84 pmiles85 pmiles86 pmiles87 pmiles88 pmiles89 pmiles90 ///
pmiles91 pmiles92 pmiles93 pmiles94 pmiles95 pmiles96 pmiles97 pmiles98 pmiles99 pmiles100 ///
pmiles101 pmiles102 pmiles103 pmiles104 pmiles105 pmiles106 pmiles107 pmiles108 pmiles109 pmiles110 /// 
RaceAfAm RaceHisp GenFemaleVsAll age education numeracyhalf iqhalf patiencehalf


save "$Tmp/Panel_Reshaped.dta", replace

