/*==================================================================
 Program: zz_globals_panel.do
 Edited:  January 2019
 Purpose: Creates globals used for New Hire Panel.
==================================================================*/

/*==================================================================
GLOBALS RELATED TO MAIN PATHS
==================================================================*/
global ZPath = ""

global mainpath = ""
global datapath = "" 

* Path for outputting the log
global logpath = "$fullpath/Log"

* Temp path
global Tmp = "../RF/Temp"

* path for outputing files
global obpath = ""
global obpath_main = ""
global FigPath = ""


/*==================================================================
CONTROL VARIABLE PATHS
==================================================================*/

* Main demographic controls (excluding age and education)
global Demogs "RaceAfAm RaceHisp RaceOther RaceUnknown GenFemaleVsAll GenUnknown MS_MarriedVsAll MS_Unknown"

* 5-year age bins
global AgeBins "agrp2530 agrp3035 agrp3540 agrp4045 agrp4550 agrp5055 agrp5560 agrp6080"

* Work type controls
global WTCont "abp salary wc_*"

* These are main controls used in predicting quitting.
global MainControls "$Demogs $AgeBins i.education $WTCont"

/*================================================
Controls for analyzing predictiveness of beliefs
=================================================*/
global TenureVars_PP "i.week"
global FullControls_PP "$MainControls $TenureVars_PP"

/*================================================
Controls for predicting survey response (Table A1)
Replace age bins with age.
Replace education dummies with schooling in years.
=================================================*/
global RespControls "$Demogs AgeYr schooling $WTCont i.week"


/*==================================================================
OUTREGGING PATH
==================================================================*/

* This is the time we add for outreg, to avoid errors.
global Slow_T = 500

* Main outreg globals
global options_outreg2 "se dec(2) nocons nonotes label  ctitle(" ") addtext("") tex(frag) slow($Slow_T)"
global outreg2_nodec "se nocons nonotes label  ctitle(" ") addtext("") tex(frag) slow($Slow_T)"
global outreg2_nodec_cons "se nonotes label  ctitle(" ") addtext("") tex(frag) slow($Slow_T)"
global O2_nodec_noctitle_cons "se nonotes label addtext("") tex(frag) slow($Slow_T)"

* 3 decimal points. Use for Table on "Do productivity beliefs predict quitting?"
global OR2_D3 "se dec(3) nocons nonotes label  ctitle(" ") addtext("") tex(frag) slow($Slow_T)"	
global OR2_D4 "se dec(4) nocons nonotes label  ctitle(" ") addtext("") tex(frag) slow($Slow_T)"


