%{
====================================================
Function name: ProbitMH.m
Modified: November 2018
Project: Overconfidence in trucking
Description: Likelihood for Probit model.
====================================================
%}

function [ ll ] = ProbitMH(param)

global Xs everrespond
ps = normcdf(Xs*param);
p1 = ps.*everrespond + (1-ps).*(1-everrespond);
p1=p1.*(p1>1e-100) + 1e-100*(p1<=1e-100);

ll = -sum(log(p1));

end

