%{
====================================================
Function name: smoothed_haz.m
Modified: Jan 2019
Description: Uses an empirical hazard and a bandwidth
to compute a smoothed hazard function using an 
Epanechnikov Kernel.
====================================================
%}

function [ myfunc_sm ] = smoothed_haz(myfunc , bw )

LENGTH = length(myfunc);

num = zeros(LENGTH,1);
denom = zeros(LENGTH,1);
for t=1:LENGTH
for s=1:LENGTH
    num(t)=num(t)+myfunc(s)*epanech((s-t)/bw);
    denom(t)=denom(t)+epanech((s-t)/bw);
end
end
myfunc_sm = num./denom;

end

