%{
====================================================
Script name: zz_set_beliefbias_other.m
Modified: Dec 2018
Project: Overconfidence
Description: Alternative settings for names and
starting values for other forms of unobserved heterogeneity
in belief bias.
====================================================
%}

% Normally-distributed mean shift in the prior
if strcmp(beliefbias,'prior_normal')==1
    NAMES(end+1:end+3)={'eta_0b';'sig_0b';'sig_b'};
    STARTING(end+1:end+3) = [8;4;4];
end

if strcmp(beliefbias,'prior_mp2')==1
    NAMES(end+1:end+4)={'eta_1b';'eta_2b';'puhb12';'sig_b'};
    if strcmp(beliefbiasprobrestrict,'no')==1
        STARTING(end+1:end+4) = [3;20;.8;3]; 
    elseif strcmp(beliefbiasprobrestrict,'yes')==1
        STARTING(end+1:end+4) = [3;20;log(.8/(1-.8));3]; 
    end
end

if strcmp(beliefbias,'prior_mp3')==1
    NAMES(end+1:end+6)={'eta_1b';'eta_2b';'eta_3b';'puhb13';'puhb23';'sig_b'};
    STARTING(end+1:end+6) = [0;10;30;0.2;-.7;3];
end

if strcmp(beliefbias,'prior_mp4')==1
    NAMES(end+1:end+8)={'eta_1b';'eta_2b';'eta_3b';'eta_4b';'puhb14';'puhb24';'puhb34';'sig_b'};
    STARTING(end+1:end+8) = [-2;2;5;15;-1;-1;-1;3];
end

if strcmp(beliefbias,'prior_mp5')==1
    NAMES(end+1:end+10)={'eta_1b';'eta_2b';'eta_3b';'eta_4b';'eta_5b';...
        'puhb15';'puhb25';'puhb35';'puhb45';'sig_b'};
    STARTING(end+1:end+10) = [-2;2;5;8;15;-2;-2;-2;-2;3];
end

if strcmp(beliefbias,'prior_mp6')==1
    NAMES(end+1:end+12)={'eta_1b';'eta_2b';'eta_3b';'eta_4b';'eta_5b';'eta_6b';...
        'puhb16';'puhb26';'puhb36';'puhb46';'puhb56';'sig_b'};
    STARTING(end+1:end+12) = [-3;1;4;7;15;35;-1;-1;-3;-3;-3;3];
end

if strcmp(beliefbias,'prior_mp2_2types')==1
    NAMES(end+1:end+3)={'eta_1b';'eta_2b';'sig_b'};
    STARTING(end+1:end+3) = [7;3;4];
end

if strcmp(beliefbias,'prior_mp3_3types')==1
    NAMES(end+1:end+4)={'eta_1b';'eta_2b';'eta_3b';'sig_b'};
    if BELIEFTHRES>2500
        STARTING(end+1:end+4) = [10;3;-1;4];
    elseif BELIEFTHRES<=2500
        STARTING(end+1:end+4) = [3;1;-3;4];
    end
end

if strcmp(beliefbias,'prior_mp4_4types')==1
    NAMES(end+1:end+5)={'eta_1b';'eta_2b';'eta_3b';'eta_4b';'sig_b'};
    STARTING(end+1:end+5) = [25;7;1;-1;3];
end

if strcmp(beliefbias,'prior_mp5_5types')==1
    NAMES(end+1:end+6)={'eta_1b';'eta_2b';'eta_3b';'eta_4b';'eta_5b';'sig_b'};
    STARTING(end+1:end+6) = [35;10;5;1;-1;3];
end

if strcmp(beliefbias,'prior_mp6_6types')==1
    NAMES(end+1:end+7)={'eta_1b';'eta_2b';'eta_3b';'eta_4b';'eta_5b';'eta_6b';'sig_b'};
    STARTING(end+1:end+7) = [35;10;5;2;0;-2;3];
end

if strcmp(op.tasteuh,'mp2_nomu2_corr')==1 && strcmp(beliefbias,'prior_mp2_corr')==1
    NAMES(end+1:end+7)={'mu1';'eta_1b';'eta_2b';'p11';'p12';'p22';'sig_b'};
    STARTING(end+1:end+7)=[3;5;50;0;-2;-2;3];
end

if strcmp(op.tasteuh,'normal_corr_mean0')==1 && strcmp(beliefbias,'prior_normal_corr')==1
    NAMES(end+1:end+5)={'sig_alp';'eta_0b';'sig_0b';'sig_b';'rho'};
    STARTING(end+1:end+5)=[2;8;4;4;0];
end