%{
====================================================
Script name: zz_set_params_tasteuh_other.m
Modified: December 2018
Project: Overconfidence
Description: Alternative set params
starting values for other forms of unobserved heterogeneity
in taste for the job.
====================================================
%}

if strcmp(beliefbias,'prior_normal')==1 && strcmp(runmode,'test_mode')~=1
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'eta_0b')==1
            eta_0b=coef(i);
        end
        if strcmp(NAMES(i),'sig_0b')==1
            sig_0b=coef(i);
        end
        if strcmp(NAMES(i),'sig_b')==1
            sig_b=coef(i);
        end
    end
end

if strcmp(beliefbias,'prior_mp2')==1 && strcmp(runmode,'test_mode')~=1
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'eta_1b')==1
            eta_1b=coef(i);
        end
        if strcmp(NAMES(i),'eta_2b')==1
            eta_2b=coef(i);
        end
        if strcmp(NAMES(i),'puhb12')==1
            puhb12=coef(i);
            if strcmp(beliefbiasprobrestrict,'yes')==1
                puhb12 = LogitMH(puhb12);
            end
        end
        if strcmp(NAMES(i),'sig_b')==1
            sig_b=coef(i);
        end
    end
end

if strcmp(beliefbias,'prior_mp2_2types')==1 
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'eta_1b')==1
            eta_1b=coef(i);
        end
        if strcmp(NAMES(i),'eta_2b')==1
            eta_2b=coef(i);
        end
        puhb12 = puh12;
        if strcmp(NAMES(i),'sig_b')==1
            sig_b=coef(i);
        end
    end
end



if strcmp(beliefbias,'prior_mp3')==1 && strcmp(runmode,'test_mode')~=1
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'eta_1b')==1
            eta_1b=coef(i);
        end
        if strcmp(NAMES(i),'eta_2b')==1
            eta_2b=coef(i);
        end
        if strcmp(NAMES(i),'eta_3b')==1
            eta_3b=coef(i);
        end
        if strcmp(NAMES(i),'puhb13')==1
            puhb13=coef(i);
            puhb13 = LogitMH(puhb13);
        end
        if strcmp(NAMES(i),'puhb23')==1
            puhb23=coef(i);
            puhb23 = LogitMH(puhb23);
        end
        if strcmp(NAMES(i),'sig_b')==1
            sig_b=coef(i);
        end
    end
end

if strcmp(beliefbias,'prior_mp3_3types')==1
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'eta_1b')==1
            eta_1b=coef(i);
        end
        if strcmp(NAMES(i),'eta_2b')==1
            eta_2b=coef(i);
        end
        if strcmp(NAMES(i),'eta_3b')==1
            eta_3b=coef(i);
        end
        puhb13 = puh13;
        puhb23 = puh23;
        if strcmp(NAMES(i),'sig_b')==1
            sig_b=coef(i);
        end
    end
end


if strcmp(beliefbias,'prior_mp4')==1 && strcmp(runmode,'test_mode')~=1
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'eta_1b')==1
            eta_1b=coef(i);
        end
        if strcmp(NAMES(i),'eta_2b')==1
            eta_2b=coef(i);
        end
        if strcmp(NAMES(i),'eta_3b')==1
            eta_3b=coef(i);
        end
        if strcmp(NAMES(i),'eta_4b')==1
            eta_4b=coef(i);
        end
        if strcmp(NAMES(i),'puhb14')==1
            puhb14=coef(i);
            puhb14 = LogitMH(puhb14);
        end
        if strcmp(NAMES(i),'puhb24')==1
            puhb24=coef(i);
            puhb24 = LogitMH(puhb24);
        end
        if strcmp(NAMES(i),'puhb34')==1
            puhb34=coef(i);
            puhb34 = LogitMH(puhb34);
        end
        if strcmp(NAMES(i),'sig_b')==1
            sig_b=coef(i);
        end
    end
end

if strcmp(beliefbias,'prior_mp4_4types')==1
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'eta_1b')==1
            eta_1b=coef(i);
        end
        if strcmp(NAMES(i),'eta_2b')==1
            eta_2b=coef(i);
        end
        if strcmp(NAMES(i),'eta_3b')==1
            eta_3b=coef(i);
        end
       if strcmp(NAMES(i),'eta_4b')==1
            eta_4b=coef(i);
        end
        puhb14 = puh14;
        puhb24 = puh24;
        puhb34 = puh34;
        if strcmp(NAMES(i),'sig_b')==1
            sig_b=coef(i);
        end
    end
end

if strcmp(beliefbias,'prior_mp5')==1 && strcmp(runmode,'test_mode')~=1
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'eta_1b')==1
            eta_1b=coef(i);
        end
        if strcmp(NAMES(i),'eta_2b')==1
            eta_2b=coef(i);
        end
        if strcmp(NAMES(i),'eta_3b')==1
            eta_3b=coef(i);
        end
        if strcmp(NAMES(i),'eta_4b')==1
            eta_4b=coef(i);
        end
        if strcmp(NAMES(i),'eta_5b')==1
            eta_5b=coef(i);
        end
        if strcmp(NAMES(i),'puhb15')==1
            puhb15=coef(i);
            puhb15 = LogitMH(puhb15);
        end
        if strcmp(NAMES(i),'puhb25')==1
            puhb25=coef(i);
            puhb25 = LogitMH(puhb25);
        end
        if strcmp(NAMES(i),'puhb35')==1
            puhb35=coef(i);
            puhb35 = LogitMH(puhb35);
        end
        if strcmp(NAMES(i),'puhb45')==1
            puhb45=coef(i);
            puhb45 = LogitMH(puhb45);
        end
        if strcmp(NAMES(i),'sig_b')==1
            sig_b=coef(i);
        end
    end
end

if strcmp(beliefbias,'prior_mp5_5types')==1
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'eta_1b')==1
            eta_1b=coef(i);
        end
        if strcmp(NAMES(i),'eta_2b')==1
            eta_2b=coef(i);
        end
        if strcmp(NAMES(i),'eta_3b')==1
            eta_3b=coef(i);
        end
        if strcmp(NAMES(i),'eta_4b')==1
            eta_4b=coef(i);
        end
        if strcmp(NAMES(i),'eta_5b')==1
            eta_5b=coef(i);
        end
        puhb15 = puh15;
        puhb25 = puh25;
        puhb35 = puh35;
        puhb45 = puh45;
        if strcmp(NAMES(i),'sig_b')==1
            sig_b=coef(i);
        end
    end
end

if strcmp(beliefbias,'prior_mp6_6types')==1
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'eta_1b')==1
            eta_1b=coef(i);
        end
        if strcmp(NAMES(i),'eta_2b')==1
            eta_2b=coef(i);
        end
        if strcmp(NAMES(i),'eta_3b')==1
            eta_3b=coef(i);
        end
        if strcmp(NAMES(i),'eta_4b')==1
            eta_4b=coef(i);
        end
        if strcmp(NAMES(i),'eta_5b')==1
            eta_5b=coef(i);
        end
        if strcmp(NAMES(i),'eta_6b')==1
            eta_6b=coef(i);
        end
        puhb16 = puh16;
        puhb26 = puh26;
        puhb36 = puh36;
        puhb46 = puh46;
        puhb56 = puh56;
        if strcmp(NAMES(i),'sig_b')==1
            sig_b=coef(i);
        end
    end
end

if strcmp(beliefbias,'prior_mp6')==1 && strcmp(runmode,'test_mode')~=1
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'eta_1b')==1
            eta_1b=coef(i);
        end
        if strcmp(NAMES(i),'eta_2b')==1
            eta_2b=coef(i);
        end
        if strcmp(NAMES(i),'eta_3b')==1
            eta_3b=coef(i);
        end
        if strcmp(NAMES(i),'eta_4b')==1
            eta_4b=coef(i);
        end
        if strcmp(NAMES(i),'eta_5b')==1
            eta_5b=coef(i);
        end
        if strcmp(NAMES(i),'eta_6b')==1
            eta_6b=coef(i);
        end
        if strcmp(NAMES(i),'puhb16')==1
            puhb16=coef(i);
            puhb16 = LogitMH(puhb16);
        end
        if strcmp(NAMES(i),'puhb26')==1
            puhb26=coef(i);
            puhb26 = LogitMH(puhb26);
        end
        if strcmp(NAMES(i),'puhb36')==1
            puhb36=coef(i);
            puhb36 = LogitMH(puhb36);
        end
        if strcmp(NAMES(i),'puhb46')==1
            puhb46=coef(i);
            puhb46 = LogitMH(puhb46);
        end
        if strcmp(NAMES(i),'puhb56')==1
            puhb56=coef(i);
            puhb56 = LogitMH(puhb56);
        end
        if strcmp(NAMES(i),'sig_b')==1
            sig_b=coef(i);
        end
    end
end

if strcmp(tasteuh,'mp2_nomu2_corr')==1 && strcmp(beliefbias,'prior_mp2_corr')==1
    mu2=MU2NUMBER;
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'mu1')==1
            mu1=coef(i);
        end
        if strcmp(NAMES(i),'eta_1b')==1
            eta_1b=coef(i);
        end
        if strcmp(NAMES(i),'eta_2b')==1
            eta_2b=coef(i);
        end
        if strcmp(NAMES(i),'p11')==1
            p11=coef(i);
            p11 = LogitMH(p11);
        end
        if strcmp(NAMES(i),'p12')==1
            p12=coef(i);
            p12 = LogitMH(p12);
        end
        if strcmp(NAMES(i),'p22')==1
            p22=coef(i);
            p22 = LogitMH(p22);
        end
        if strcmp(NAMES(i),'sig_b')==1
            sig_b=coef(i);
        end
    end
end