%{
====================================================
Script name: zz_set_params_tasteuh_other.m
Modified: December 2018
Project: Overconfidence
Description: Alternative set params for other forms of 
unobserved heterogeneity in taste for the job.
====================================================
%}

% Normal unobserved heterogeneity in taste for job.
if strcmp(tasteuh,'normal')==1 && strcmp(runmode,'test_mode')~=1
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'mu_alp')==1
            mu_alp=coef(i);
        end
        if strcmp(NAMES(i),'sig_alp')==1
            sig_alp=coef(i);
        end
    end
end

% Normal unobserved heterogeneity, zero mean
if strcmp(tasteuh,'normal_mean0')==1
    for i=NBASEPARAMS:length(coef)
        mu_alp = 0;
        if strcmp(NAMES(i),'sig_alp')==1
            sig_alp=coef(i);
        end
    end
end

% Two mass point UH in taste for the job.
if strcmp(tasteuh,'mp2')==1 || strcmp(tasteuh,'mp2_2types')==1
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'mu1')==1
            mu1=coef(i);
        end
        if strcmp(NAMES(i),'mu2')==1
            mu2=coef(i);
        end
        if strcmp(NAMES(i),'puh12')==1
            puh12=coef(i);
        end        
    end
end

% Two mass point Uh in taste. Only one mean different from 0.
if strcmp(tasteuh,'mp2_nomu2')==1 && strcmp(runmode,'test_mode')~=1
    mu2=MU2NUMBER;
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'mu1')==1
            mu1=coef(i);
        end
        if strcmp(NAMES(i),'puh12')==1
            puh12=coef(i);
        end
        
    end
end

% Four mass point UH in taste for the job.
if strcmp(tasteuh,'mp4')==1 || strcmp(tasteuh,'mp4_4types')==1
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'mu1')==1
            mu1=coef(i);
        end
        if strcmp(NAMES(i),'mu2')==1
            mu2=coef(i);
        end
        if strcmp(NAMES(i),'mu3')==1
            mu3=coef(i);
        end
        if strcmp(NAMES(i),'mu4')==1
            mu4=coef(i);
        end
        if strcmp(NAMES(i),'puh14')==1
            puh14=coef(i);
            if strcmp(tasteuhprobrestrict,'yes')==1
                puh14 = LogitMH(puh14);
            end
        end
        if strcmp(NAMES(i),'puh24')==1
            puh24=coef(i);
            if strcmp(tasteuhprobrestrict,'yes')==1
                puh24 = LogitMH(puh24);
            end
        end
        if strcmp(NAMES(i),'puh34')==1
            puh34=coef(i);
            if strcmp(tasteuhprobrestrict,'yes')==1
                puh34 = LogitMH(puh34);
            end
        end
    end
end

% Five mass point UH in taste for the job.
if strcmp(tasteuh,'mp5')==1 || strcmp(tasteuh,'mp5_5types')==1
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'mu1')==1
            mu1=coef(i);
        end
        if strcmp(NAMES(i),'mu2')==1
            mu2=coef(i);
        end
        if strcmp(NAMES(i),'mu3')==1
            mu3=coef(i);
        end
        if strcmp(NAMES(i),'mu4')==1
            mu4=coef(i);
        end
        if strcmp(NAMES(i),'mu5')==1
            mu5=coef(i);
        end
        if strcmp(NAMES(i),'puh15')==1
            puh15=coef(i);
            if strcmp(tasteuhprobrestrict,'yes')==1
                puh15 = LogitMH(puh15);
            end
        end
        if strcmp(NAMES(i),'puh25')==1
            puh25=coef(i);
            if strcmp(tasteuhprobrestrict,'yes')==1
                puh25 = LogitMH(puh25);
            end
        end
        if strcmp(NAMES(i),'puh35')==1
            puh35=coef(i);
            if strcmp(tasteuhprobrestrict,'yes')==1
                puh35 = LogitMH(puh35);
            end
        end
        if strcmp(NAMES(i),'puh45')==1
            puh45=coef(i);
            if strcmp(tasteuhprobrestrict,'yes')==1
                puh45 = LogitMH(puh45);
            end
        end
    end
end

if strcmp(tasteuh,'mp6')==1 || strcmp(tasteuh,'mp6_6types')==1
    for i=NBASEPARAMS:length(coef)
        if strcmp(NAMES(i),'mu1')==1
            mu1=coef(i);
        end
        if strcmp(NAMES(i),'mu2')==1
            mu2=coef(i);
        end
        if strcmp(NAMES(i),'mu3')==1
            mu3=coef(i);
        end
        if strcmp(NAMES(i),'mu4')==1
            mu4=coef(i);
        end
        if strcmp(NAMES(i),'mu5')==1
            mu5=coef(i);
        end
        if strcmp(NAMES(i),'mu6')==1
            mu6=coef(i);
        end
        if strcmp(NAMES(i),'puh16')==1
            puh16=coef(i);
            if strcmp(tasteuhprobrestrict,'yes')==1
                puh16 = LogitMH(puh16);
            end
        end
        if strcmp(NAMES(i),'puh26')==1
            puh26=coef(i);
            if strcmp(tasteuhprobrestrict,'yes')==1
                puh26 = LogitMH(puh26);
            end
        end
        if strcmp(NAMES(i),'puh36')==1
            puh36=coef(i);
            if strcmp(tasteuhprobrestrict,'yes')==1
                puh36 = LogitMH(puh36);
            end
        end
        if strcmp(NAMES(i),'puh46')==1
            puh46=coef(i);
            if strcmp(tasteuhprobrestrict,'yes')==1
                puh46 = LogitMH(puh46);
            end
        end
        if strcmp(NAMES(i),'puh56')==1
            puh56=coef(i);
            if strcmp(tasteuhprobrestrict,'yes')==1
                puh56 = LogitMH(puh56);
            end
        end
    end
end